package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import javax.persistence.*;
import java.util.Date;

/**
 * 眼科处方表1数据
 *
 * */
//@ApiModel(value = "HlwCf01VO", description = "眼科处方表1数据")
@Entity
@Table(name = "v_ms_dd01")
public class HlwCf01DO {
    private Integer cFSB;//	NUMBER(18)	N			处方识别
    private String cFHM;//	VARCHAR2(10)	Y			处方号码
    private String fPHM;//	VARCHAR2(12)	Y			发票号码
    private Integer mZXH;//	NUMBER(18)	Y			门诊序号
    private Integer cFLX;//	NUMBER(1)	N			处方类型
    private Integer bRID;//	NUMBER(18)	Y			病人ID号
    private String bRXM;//	VARCHAR2(40)	Y			病人姓名
    private Date kFRQ;//	DATE	        N			开方日期
    private Integer cFTS;//	NUMBER(2)	N			处方贴数
    private Integer kSDM;//	NUMBER(4)	Y			科室代码
    private String ySDM;//	VARCHAR2(10)	Y			医生代码
    private Date fYRQ;//	DATE	        Y			发药日期
    private Integer fYCK;//	NUMBER(2)	Y			发药窗口
    private String hJGH;//	VARCHAR2(10)	Y			划价工号
    private String pYGH;//	VARCHAR2(10)	Y			配药工号
    private String fYGH;//	VARCHAR2(10)	Y			发药工号
    private Integer pYBZ;//	NUMBER(1)	N			配药标志
    private Integer fYBZ;//	NUMBER(1)	N			发药标志
    private Integer cFGL;//	NUMBER(18)	Y			处方关联
    private Integer zFPB;//	NUMBER(1)	N			作废判别
    private Integer dYBZ;//	NUMBER(1)	Y			打印标志
    private Integer yFSB;//	NUMBER(3)	N			药房识别
    private Integer tSCF;//	NUMBER(2)	Y			特殊处方
    private Integer tSLX;//	INTEGER	Y			特殊类型
    private Integer tYBZ;//	NUMBER(1)	Y			退药标志
    private Integer cFBZ;//	NUMBER(1)	Y			处方标志(CFBZ = 2 处方锁定)
    private Integer jZXH;//	NUMBER(18)	Y			门诊就诊
    private Integer yXPB;//	NUMBER(1)	N			优先处方
    private String jZKH;//	VARCHAR2(20)	Y			就诊卡号
    private Integer dJYBZ;//	NUMBER(1)	N			代煎药标志
    private Date zFSJ;//	DATE	        Y			作废时间
    private String hDGH;//	VARCHAR2(10)	Y			核对工号
    private Date hDRQ;//	DATE	        Y			核对日期
    private Integer jMPB;//	NUMBER  	Y
    private Integer yJYY;//	NUMBER(2)	Y
    private String tSBZDM;//	VARCHAR2(20)	Y
    private Integer lSCFBZ;//	NUMBER(1)	Y			零散处方标志：1是、0否
    private String tYGH;//	VARCHAR2(10)	Y
    private Integer zJFLAG;//	NUMBER(1)	Y
    private Integer zLXZ;//	NUMBER(5)	Y
    private String zFGH;//	VARCHAR2(10)	Y
    private String bZ;//    VARCHAR2(100)	Y
    private String sCDDH;//	VARCHAR2(50)	N			商城订单号
    private Integer sPZT;//	NUMBER(1)	Y	0		审批状态   0未审批   1通过  2不通过
    private Integer dQPB;//	NUMBER(1)	Y	0		读取判别   0未读取   1已读取
    private Date sPRQ;//	DATE	        Y			         审批通过时间
    private Integer fKZT;//	NUMBER(1)	Y	0		0 未付款  1付款
    private String sPGH;//	VARCHAR2(10)	Y			审批工号
    private String gUID;//
    private Integer sJLY;//1互联网

    @Basic
    @Id
    @Column(name = "CFSB")
    public Integer getCFSB() {
        return cFSB;
    }

    public void setCFSB(Integer cFSB) {
        this.cFSB = cFSB;
    }

    @Basic
    @Column(name = "CFHM")
    public String getCFHM() {
        return cFHM;
    }

    public void setCFHM(String cFHM) {
        this.cFHM = cFHM;
    }

    @Basic
    @Column(name = "FPHM")
    public String getFPHM() {
        return fPHM;
    }

    public void setFPHM(String fPHM) {
        this.fPHM = fPHM;
    }

    @Basic
    @Column(name = "MZXH")
    public Integer getMZXH() {
        return mZXH;
    }

    public void setMZXH(Integer mZXH) {
        this.mZXH = mZXH;
    }

    @Basic
    @Column(name = "CFLX")
    public Integer getCFLX() {
        return cFLX;
    }

    public void setCFLX(Integer cFLX) {
        this.cFLX = cFLX;
    }

    @Basic
    @Column(name = "BRID")
    public Integer getBRID() {
        return bRID;
    }

    public void setBRID(Integer bRID) {
        this.bRID = bRID;
    }

    @Basic
    @Column(name = "BRXM")
    public String getBRXM() {
        return bRXM;
    }

    public void setBRXM(String bRXM) {
        this.bRXM = bRXM;
    }

    @Basic
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "KFRQ")
    public Date getKFRQ() {
        return kFRQ;
    }

    public void setKFRQ(Date kFRQ) {
        this.kFRQ = kFRQ;
    }

    @Basic
    @Column(name = "CFTS")
    public Integer getCFTS() {
        return cFTS;
    }

    public void setCFTS(Integer cFTS) {
        this.cFTS = cFTS;
    }

    @Basic
    @Column(name = "KSDM")
    public Integer getKSDM() {
        return kSDM;
    }

    public void setKSDM(Integer kSDM) {
        this.kSDM = kSDM;
    }

    @Basic
    @Column(name = "YSDM")
    public String getYSDM() {
        return ySDM;
    }

    public void setYSDM(String ySDM) {
        this.ySDM = ySDM;
    }

    @Basic
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "FYRQ")
    public Date getFYRQ() {
        return fYRQ;
    }

    public void setFYRQ(Date fYRQ) {
        this.fYRQ = fYRQ;
    }

    @Basic
    @Column(name = "FYCK")
    public Integer getFYCK() {
        return fYCK;
    }

    public void setFYCK(Integer fYCK) {
        this.fYCK = fYCK;
    }

    @Basic
    @Column(name = "HJGH")
    public String getHJGH() {
        return hJGH;
    }

    public void setHJGH(String hJGH) {
        this.hJGH = hJGH;
    }

    @Basic
    @Column(name = "PYGH")
    public String getPYGH() {
        return pYGH;
    }

    public void setPYGH(String pYGH) {
        this.pYGH = pYGH;
    }

    @Basic
    @Column(name = "FYGH")
    public String getFYGH() {
        return fYGH;
    }

    public void setFYGH(String fYGH) {
        this.fYGH = fYGH;
    }

    @Basic
    @Column(name = "PYBZ")
    public Integer getPYBZ() {
        return pYBZ;
    }

    public void setPYBZ(Integer pYBZ) {
        this.pYBZ = pYBZ;
    }

    @Basic
    @Column(name = "FYBZ")
    public Integer getFYBZ() {
        return fYBZ;
    }

    public void setFYBZ(Integer fYBZ) {
        this.fYBZ = fYBZ;
    }

    @Basic
    @Column(name = "CFGL")
    public Integer getCFGL() {
        return cFGL;
    }

    public void setCFGL(Integer cFGL) {
        this.cFGL = cFGL;
    }

    @Basic
    @Column(name = "ZFPB")
    public Integer getZFPB() {
        return zFPB;
    }

    public void setZFPB(Integer zFPB) {
        this.zFPB = zFPB;
    }

    @Basic
    @Column(name = "DYBZ")
    public Integer getDYBZ() {
        return dYBZ;
    }

    public void setDYBZ(Integer dYBZ) {
        this.dYBZ = dYBZ;
    }

    @Basic
    @Column(name = "YFSB")
    public Integer getYFSB() {
        return yFSB;
    }

    public void setYFSB(Integer yFSB) {
        this.yFSB = yFSB;
    }

    @Basic
    @Column(name = "TSCF")
    public Integer getTSCF() {
        return tSCF;
    }

    public void setTSCF(Integer tSCF) {
        this.tSCF = tSCF;
    }
    @Basic
    @Column(name = "TSLX")
    public Integer getTSLX() {
        return tSLX;
    }

    public void setTSLX(Integer tSLX) {
        this.tSLX = tSLX;
    }

    @Basic
    @Column(name = "TYBZ")
    public Integer getTYBZ() {
        return tYBZ;
    }

    public void setTYBZ(Integer tYBZ) {
        this.tYBZ = tYBZ;
    }

    @Basic
    @Column(name = "CFBZ")
    public Integer getCFBZ() {
        return cFBZ;
    }

    public void setCFBZ(Integer cFBZ) {
        this.cFBZ = cFBZ;
    }

    @Basic
    @Column(name = "JZXH")
    public Integer getJZXH() {
        return jZXH;
    }

    public void setJZXH(Integer jZXH) {
        this.jZXH = jZXH;
    }

    @Basic
    @Column(name = "YXPB")
    public Integer getYXPB() {
        return yXPB;
    }

    public void setYXPB(Integer yXPB) {
        this.yXPB = yXPB;
    }
    @Basic
    @Column(name = "JZKH")
    public String getJZKH() {
        return jZKH;
    }

    public void setJZKH(String jZKH) {
        this.jZKH = jZKH;
    }

    @Basic
    @Column(name = "DJYBZ")
    public Integer getDJYBZ() {
        return dJYBZ;
    }

    public void setDJYBZ(Integer dJYBZ) {
        this.dJYBZ = dJYBZ;
    }

    @Basic
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "ZFSJ")
    public Date getZFSJ() {
        return zFSJ;
    }

    public void setZFSJ(Date zFSJ) {
        this.zFSJ = zFSJ;
    }

    @Basic
    @Column(name = "HDGH")
    public String getHDGH() {
        return hDGH;
    }

    public void setHDGH(String hDGH) {
        this.hDGH = hDGH;
    }

    @Basic
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "HDRQ")
    public Date getHDRQ() {
        return hDRQ;
    }

    public void setHDRQ(Date hDRQ) {
        this.hDRQ = hDRQ;
    }

    @Basic
    @Column(name = "JMPB")
    public Integer getJMPB() {
        return jMPB;
    }

    public void setJMPB(Integer jMPB) {
        this.jMPB = jMPB;
    }

    @Basic
    @Column(name = "YJYY")
    public Integer getYJYY() {
        return yJYY;
    }

    public void setYJYY(Integer yJYY) {
        this.yJYY = yJYY;
    }

    @Basic
    @Column(name = "TSBZDM")
    public String getTSBZDM() {
        return tSBZDM;
    }

    public void setTSBZDM(String tSBZDM) {
        this.tSBZDM = tSBZDM;
    }

    @Basic
    @Column(name = "LSCFBZ")
    public Integer getLSCFBZ() {
        return lSCFBZ;
    }

    public void setLSCFBZ(Integer lSCFBZ) {
        this.lSCFBZ = lSCFBZ;
    }

    @Basic
    @Column(name = "TYGH")
    public String getTYGH() {
        return tYGH;
    }

    public void setTYGH(String tYGH) {
        this.tYGH = tYGH;
    }

    @Basic
    @Column(name = "ZJFLAG")
    public Integer getZJFLAG() {
        return zJFLAG;
    }

    public void setZJFLAG(Integer zJFLAG) {
        this.zJFLAG = zJFLAG;
    }

    @Basic
    @Column(name = "ZLXZ")
    public Integer getZLXZ() {
        return zLXZ;
    }

    public void setZLXZ(Integer zLXZ) {
        this.zLXZ = zLXZ;
    }


    @Basic
    @Column(name = "ZFGH")
    public String getZFGH() {
        return zFGH;
    }

    public void setZFGH(String zFGH) {
        this.zFGH = zFGH;
    }

    @Basic
    @Column(name = "BZ")
    public String getBZ() {
        return bZ;
    }

    public void setBZ(String bZ) {
        this.bZ = bZ;
    }

    @Basic
    @Column(name = "SCDDH")
    public String getSCDDH() {
        return sCDDH;
    }

    public void setSCDDH(String sCDDH) {
        this.sCDDH = sCDDH;
    }

    @Basic
    @Column(name = "SPZT")
    public Integer getSPZT() {
        return sPZT;
    }

    public void setSPZT(Integer sPZT) {
        this.sPZT = sPZT;
    }

    @Basic
    @Column(name = "DQPB")
    public Integer getDQPB() {
        return dQPB;
    }

    public void setDQPB(Integer dQPB) {
        this.dQPB = dQPB;
    }

    @Basic
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "SPRQ")
    public Date getSPRQ() {
        return sPRQ;
    }

    public void setSPRQ(Date sPRQ) {
        this.sPRQ = sPRQ;
    }

    @Basic
    @Column(name = "FKZT")
    public Integer getFKZT() {
        return fKZT;
    }

    public void setFKZT(Integer fKZT) {
        this.fKZT = fKZT;
    }

    @Basic
    @Column(name = "SPGH")
    public String getSPGH() {
        return sPGH;
    }

    public void setSPGH(String sPGH) {
        this.sPGH = sPGH;
    }

    @Basic
    @Column(name = "GUID")
    public String getGUID() {
        return gUID;
    }

    public void setGUID(String gUID) {
        this.gUID = gUID;
    }

    @Column(name = "SJLY")
    public Integer getSJLY() {
        return sJLY;
    }

    public void setSJLY(Integer sJLY) {
        this.sJLY = sJLY;
    }
}
